﻿

@model IEnumerable<Schedule.Application.ViewModel.FeriadosViewModel>
<div class="row">

    <div class="col-lg-12">
        <div class="card shadow mb-4" id="resultado">
            <div class="card-header py-3">

                <a asp-action="Novo" class="btn btn-success"> + Novo</a>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h4 class="m-0 font-weight-bold text-primary">
                    Lista de Feriados
                </h4>
            </div>
            <div class="card-body">
                <div class="col-lg-8">
                    <table id="tbListaFeriados" class="table  table-bordered tabelaListaSchedule">
                        <thead>
                            <tr>  
                                <th >
                                    Data
                                </th>
                                <th >
                                    Descrição
                                </th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                            <tr>
                                <td data-sort='@item.DataFeriado.ToString("yyyyMMdd")' style="text-align:center">
                                    @{
                                        string parameterValue = item.DataFeriado.ToString("dd/MM/yyyy");
                                    }
                                    @Html.DisplayFor(modelItem => parameterValue)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Descricao)
                                </td>
                                <td class="tdAcao" style="text-align:center">

                                    <a class="btn btn-success" href="/Feriados/Editar/@item.id">Editar</a>
                                    <button data-id="@item.id" class="delete btn btn-xs btn-danger">Excluir</button>

                                </td>
                            </tr>
                            }
                        </tbody>
                    </table>

                </div>
                <div class="modal" id="Modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Confirmação</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                Deseja Excluir o Registro : <span class="nome"></span>
                            </div>
                            <div class="modal-footer">
                                <a href="#" type="button" class="btn btn-danger delete-yes">Deletar</a>

                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Feriados.js")"></script>